Bug 1462956 - RFE: Add support for Amazon S3 to download vmcores as an alternative to ftp
RFE: Add support for Amazon S3 to download vmcores as an alternative to ftp
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: retrace-server (Show other bugs)
epel7
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Michal Toman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-19 14:24 EDT by Dave Wysochanski
Modified: 2017-12-07 18:49 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Wysochanski 2017-06-19 14:24:55 EDT
Description of problem:
We need support for Amazon S3 storage to download core files into retrace server.  I am not sure about it but I think here is the API docs:
https://aws.amazon.com/sdk-for-python/

points at
https://boto.readthedocs.io/en/latest/

and then for S3
https://boto.readthedocs.io/en/latest/ref/s3.html


Version-Release number of selected component (if applicable):
retrace-server-1.17.0-3.el6.noarch


Additional info:
Comment 1 Miroslav Suchý 2017-07-10 09:44:33 EDT
El6 will not get this feature for sure. Switching to EL7.

Note You need to log in before you can comment on or make changes to this bug.